## galapi
Class xsDecimal

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsDecimal

public class xsDecimal
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsDecimal(int d)`

Method Summary
`protected static int` `decimalToItem(int i)`
`protected static int` `itemToDecimal(int it)`
`int` `toInt()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsDecimal

    public xsDecimal(int d)
              throws GalapiException

Method Detail

### toInt

    public int toInt()
              throws GalapiException

  Throws:
    `GalapiException`

### decimalToItem

    protected static int decimalToItem(int i)

### itemToDecimal

    protected static int itemToDecimal(int it)